# Transferência entre skills Liveperson

{% hint style="info" %}
Action usada apenas em Assistentes que possuem integrações com o broker Liveperson
{% endhint %}

## **Atributos**

```javascript
 [
    {
        "name": "transfer_to_agent_liveperson",
        "parameters": {
            "skill": "<skill_id>",
            "agent": "<agent_id>",
            "before_action_messages": [
              "Mensagem 1",
              "Mensagem 2"
            ]
        },
        "result_variable": "transfer_response"
    }
]
```

* **name:** transfer\_to\_agent\_liveperson
* **parameters:**
  * **skill:** número identificador da habilidade para realizar a transferência para o agente. Fornecido pela LivePerson.
  * **agent: (opcional):** número identificador do agente sugerido para receber a transferência. Fornecido pela LivePerson.
  * **before\_action\_messages: (opcional)** Mensagem enviada para o usuário antes da execução a ação.
* **result\_variable:** variável de contexto que receberá o resultado da ação. Em caso de sucesso, essa variável conterá o seguinte JSON:

```javascript
{
  "status": "ok",
  "message": "Dialog <identificador do diálogo> successfully transfered."
}
```

## **Exemplo**

Exemplo de uso para ação `transfer_to_agent_liveperson`:

```javascript
  [
    {
        "name": "transfer_to_agent_liveperson",
        "parameters": {
            "skill": "0123456789",
            "agent": "9876543210",
            "before_action_messages": [
              "Aguarde.",
              "Estamos transferindo o contato para um agente"
            ]
        },
        "result_variable": "transfer_response"
    }
]
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.altu.d1.cx/build/assistentes/builder/componentes/actions/transfer_to_agent_liveperson.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
